{ pkgs ? import <nixpkgs> {} }:
let
  nvim = pkgs.neovim;

  # Install Packer.nvim
  packer = pkgs.stdenv.mkDerivation {
    name = "packer.nvim";
    buildInputs = [ pkgs.git ];
    src = pkgs.fetchFromGitHub {
      owner = "wbthomason";
      repo = "packer.nvim";
      rev = "1d0cf98a561f7fd654c970c49f917d74fafe1530";
      sha256 = "sha256-YAhAFiR31aGl2SEsA/itP+KgkLyV58EJEwosdc+No9s=";
    };
    installPhase = ''
      install -Dm755 packer.nvim.lua $out/share/nvim/site/autoload/packer.nvim.lua
    '';
  };

in {
  environment.systemPackages = [ nvim packer ];
}

